# j_server.cc File Reference

## Detailed Description

Server protocol implementation.

Definition in file j_server.cc.

`#include "j_server.h"`
`#include "protocol.h"`
`#include "data.h"`
`#include "endian.h"`
`#include "debug.h"`
`#include "j_message.h"`
`#include "protostructs.h"`
`#include "record-internal.h"`
`#include "error.h"`
`#include <unistd.h>`
`#include <fcntl.h>`
`#include <sys/types.h>`
`#include <sys/socket.h>`
`#include <netinet/in.h>`
`#include <arpa/inet.h>`
`#include <netdb.h>`
`#include <string.h>`
`#include <errno.h>`
`#include <sstream>`
`#include <algorithm>`

Include dependency graph for j_server.cc:

Go to the source code of this file.

## Namespaces

namespace | Barry
namespace | Barry::JDWP